Bug 23540 - Problems making rpm -bb
Problems making rpm -bb
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.0
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
Brock Organ
http://hotel.prosa.dk/~tsj/
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-07 11:15 EST by Torben Schou Jensen
Modified: 2007-04-18 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-05 19:17:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Torben Schou Jensen 2001-01-07 11:15:50 EST
Having downloaded a package netdriver-2.1-2.src.rpm, as this maybe will fix
some problems I have with the epic100 module.
I unpack it, and compile it from /usr/src/redhat using "rpm -bb
SPECS/netdriver.spec", but this reports a lot of strange errors.
The author tell me that the package have been compiled on a RH7.0 system.
But why is it then failed for me?
What is autoconf-up.h - it is not on my system?
Best regards
Torben
 
+ umask 022
+ cd /usr/src/redhat/BUILD
+ cd /usr/src/redhat/BUILD
+ rm -rf netdriver-2.1
+ /bin/mkdir -p netdriver-2.1
+ cd netdriver-2.1
+ tar -xvvf -
+ /bin/gzip -dc /usr/src/redhat/SOURCES/netdrivers.tgz
+ STATUS=0
+ '[' 0 -ne 0 ']'
+ /bin/gzip -dc /usr/src/redhat/SOURCES/netdrivers.tgz
+ tar -xvvf -
+ STATUS=0
+ '[' 0 -ne 0 ']'
++ /usr/bin/id -u
+ '[' 0 = 0 ']'
+ /bin/chown -Rhf root .
++ /usr/bin/id -u
+ '[' 0 = 0 ']'
+ /bin/chgrp -Rhf root .
+ /bin/chmod -Rf a+rX,g-w,o-w .
+ exit 0
+ umask 022
+ cd /usr/src/redhat/BUILD
+ cd netdriver-2.1
+ make all
In file included from /usr/src/linux/include/linux/config.h:4,
                 from pci-skeleton.c:78:
/usr/src/linux/include/linux/autoconf.h:25:31: linux/autoconf-up.h: No such
file or directory
In file included from pci-skeleton.c:86:
/usr/src/linux/include/linux/version.h:25:30: linux/version-up.h: No such
file or directory
In file included from pci-skeleton.c:89:
/usr/src/linux/include/linux/modversions.h:25:34: linux/modversions-up.h:
No such file or directory
In file included from pci-skeleton.c:88:
/usr/src/linux/include/linux/module.h:201: parse error before `UTS_RELEASE'
In file included from /usr/src/linux/include/linux/string.h:38,
                 from pci-skeleton.c:94:
/usr/include/asm/string.h:48: warning: static declaration for `strncpy'
follows non-static
/usr/include/asm/string.h:67: warning: static declaration for `strcat'
follows non-static
/usr/include/asm/string.h:84: warning: static declaration for `strncat'
follows non-static
/usr/include/asm/string.h:128: warning: static declaration for `strncmp'
follows non-static
/usr/include/asm/string.h:151: warning: static declaration for `strchr'
follows non-static
/usr/include/asm/string.h:170: warning: static declaration for `strrchr'
follows non-static
/usr/include/asm/string.h:353: warning: static declaration for `memmove'
follows non-static
/usr/include/asm/string.h:436: warning: static declaration for `strnlen'
follows non-static
/usr/include/asm/string.h:457: warning: static declaration for `strstr'
follows non-static
/usr/include/asm/string.h:549: warning: static declaration for `memscan'
follows non-static
In file included from /usr/src/linux/include/linux/fs.h:165,
                 from /usr/src/linux/include/linux/capability.h:14,
                 from /usr/src/linux/include/linux/binfmts.h:6,
                 from /usr/src/linux/include/linux/sched.h:9,
                 from /usr/src/linux/include/linux/mm.h:5,
                 from /usr/src/linux/include/linux/slab.h:15,
                 from /usr/src/linux/include/linux/malloc.h:5,
                 from pci-skeleton.c:98:
/usr/include/asm/semaphore.h:41: parse error before `wait_queue_head_t'
/usr/include/asm/semaphore.h:41: warning: no semicolon at end of struct or
union
/usr/include/asm/semaphore.h: In function `sema_init':
/usr/include/asm/semaphore.h:75: dereferencing pointer to incomplete type
/usr/include/asm/semaphore.h:76: dereferencing pointer to incomplete type
/usr/include/asm/semaphore.h:77: warning: implicit declaration of function
`init_waitqueue_head'
/usr/include/asm/semaphore.h:77: dereferencing pointer to incomplete type
/usr/include/asm/semaphore.h: At top level:
/usr/include/asm/semaphore.h:228: parse error before `wait_queue_head_t'
/usr/include/asm/semaphore.h:228: warning: no semicolon at end of struct or
union
/usr/include/asm/semaphore.h:229: warning: data definition has no type or
storage class
/usr/include/asm/semaphore.h: In function `init_rwsem':
/usr/include/asm/semaphore.h:257: dereferencing pointer to incomplete type
/usr/include/asm/semaphore.h:258: dereferencing pointer to incomplete type
/usr/include/asm/semaphore.h:259: dereferencing pointer to incomplete type
/usr/include/asm/semaphore.h:260: dereferencing pointer to incomplete type
/usr/include/asm/semaphore.h:261: dereferencing pointer to incomplete type
In file included from /usr/src/linux/include/linux/fs.h:331,
                 from /usr/src/linux/include/linux/capability.h:14,
                 from /usr/src/linux/include/linux/binfmts.h:6,
                 from /usr/src/linux/include/linux/sched.h:9,
                 from /usr/src/linux/include/linux/mm.h:5,
                 from /usr/src/linux/include/linux/slab.h:15,
                 from /usr/src/linux/include/linux/malloc.h:5,
                 from pci-skeleton.c:98:
/usr/src/linux/include/linux/mount.h: At top level:
/usr/src/linux/include/linux/mount.h:20: field `dqio_sem' has incomplete
type
/usr/src/linux/include/linux/mount.h:21: field `dqoff_sem' has incomplete
type
In file included from /usr/src/linux/include/linux/capability.h:14,
                 from /usr/src/linux/include/linux/binfmts.h:6,
                 from /usr/src/linux/include/linux/sched.h:9,
                 from /usr/src/linux/include/linux/mm.h:5,
                 from /usr/src/linux/include/linux/slab.h:15,
                 from /usr/src/linux/include/linux/malloc.h:5,
                 from pci-skeleton.c:98:
/usr/src/linux/include/linux/fs.h:353: field `i_sem' has incomplete type
/usr/src/linux/include/linux/fs.h:354: field `i_atomic_write' has
incomplete type
In file included from /usr/src/linux/include/linux/fs.h:511,
                 from /usr/src/linux/include/linux/capability.h:14,
                 from /usr/src/linux/include/linux/binfmts.h:6,
                 from /usr/src/linux/include/linux/sched.h:9,
                 from /usr/src/linux/include/linux/mm.h:5,
                 from /usr/src/linux/include/linux/slab.h:15,
                 from /usr/src/linux/include/linux/malloc.h:5,
                 from pci-skeleton.c:98:
/usr/src/linux/include/linux/smb_fs_sb.h:36: field `sem' has incomplete
type
In file included from /usr/src/linux/include/linux/capability.h:14,
                 from /usr/src/linux/include/linux/binfmts.h:6,
                 from /usr/src/linux/include/linux/sched.h:9,
                 from /usr/src/linux/include/linux/mm.h:5,
                 from /usr/src/linux/include/linux/slab.h:15,
                 from /usr/src/linux/include/linux/malloc.h:5,
                 from pci-skeleton.c:98:
/usr/src/linux/include/linux/fs.h:563: field `s_vfs_rename_sem' has
incomplete type
In file included from /usr/src/linux/include/linux/mm.h:4,
                 from /usr/src/linux/include/linux/slab.h:14,
                 from /usr/src/linux/include/linux/malloc.h:4,
                 from pci-skeleton.c:97:
/usr/src/linux/include/linux/sched.h:10:25: linux/tasks.h: No such file or
directory
In file included from /usr/src/linux/include/linux/tty.h:24,
                 from /usr/src/linux/include/linux/sched.h:22,
                 from /usr/src/linux/include/linux/mm.h:5,
                 from /usr/src/linux/include/linux/slab.h:15,
                 from /usr/src/linux/include/linux/malloc.h:5,
                 from pci-skeleton.c:98:
/usr/src/linux/include/linux/tqueue.h: In function `queue_task':
/usr/src/linux/include/linux/tqueue.h:88: warning: implicit declaration of
function `spin_lock_irqsave'
/usr/src/linux/include/linux/tqueue.h:91: warning: implicit declaration of
function `spin_unlock_irqrestore'
In file included from /usr/src/linux/include/linux/sched.h:22,
                 from /usr/src/linux/include/linux/mm.h:5,
                 from /usr/src/linux/include/linux/slab.h:15,
                 from /usr/src/linux/include/linux/malloc.h:5,
                 from pci-skeleton.c:98:
/usr/src/linux/include/linux/tty.h: At top level:
/usr/src/linux/include/linux/tty.h:140: field `pty_sem' has incomplete type
/usr/src/linux/include/linux/tty.h:305: field `atomic_read' has incomplete
type
/usr/src/linux/include/linux/tty.h:306: field `atomic_write' has incomplete
type
In file included from /usr/src/linux/include/linux/resource.h:58,
                 from /usr/src/linux/include/linux/sched.h:71,
                 from /usr/src/linux/include/linux/mm.h:4,
                 from /usr/src/linux/include/linux/slab.h:14,
                 from /usr/src/linux/include/linux/malloc.h:4,
                 from pci-skeleton.c:97:
/usr/include/asm/resource.h:25:25: warning: "RLIM_INFINITY" redefined
/usr/src/linux/include/linux/resource.h:40:1: warning: this is the location
of the previous definition
In file included from /usr/src/linux/include/linux/mm.h:5,
                 from /usr/src/linux/include/linux/slab.h:15,
                 from /usr/src/linux/include/linux/malloc.h:5,
                 from pci-skeleton.c:98:
/usr/src/linux/include/linux/sched.h:182: field `mmap_sem' has incomplete
type
/usr/src/linux/include/linux/sched.h:408: `NR_TASKS' undeclared here (not
in a function)
/usr/src/linux/include/linux/sched.h:435: `NR_TASKS' undeclared here (not
in a function)
/usr/src/linux/include/linux/sched.h:435: size of array `pidhash' has
non-integer type
/usr/src/linux/include/linux/sched.h: In function `hash_pid':
/usr/src/linux/include/linux/sched.h:441: `NR_TASKS' undeclared (first use
in this function)
/usr/src/linux/include/linux/sched.h:441: (Each undeclared identifier is
reported only once
/usr/src/linux/include/linux/sched.h:441: for each function it appears in.)
/usr/src/linux/include/linux/sched.h: In function `find_task_by_pid':
/usr/src/linux/include/linux/sched.h:458: `NR_TASKS' undeclared (first use
in this function)
In file included from /usr/include/linux/irq.h:5,
                 from /usr/include/asm/hardirq.h:6,
                 from /usr/src/linux/include/linux/interrupt.h:51,
                 from pci-skeleton.c:98:
/usr/include/linux/spinlock.h:55:30: warning: "SPIN_LOCK_UNLOCKED"
redefined
/usr/include/asm/spinlock.h:36:1: warning: this is the location of the
previous definition
/usr/include/linux/spinlock.h:58:23: warning: "spin_lock_init" redefined
/usr/include/asm/spinlock.h:38:1: warning: this is the location of the
previous definition
/usr/include/linux/spinlock.h:60:23: warning: "spin_is_locked" redefined
/usr/include/asm/spinlock.h:47:1: warning: this is the location of the
previous definition
/usr/include/linux/spinlock.h:62:25: warning: "spin_unlock_wait" redefined
/usr/include/asm/spinlock.h:48:1: warning: this is the location of the
previous definition
/usr/include/linux/spinlock.h:118:28: warning: "RW_LOCK_UNLOCKED" redefined
/usr/include/asm/spinlock.h:131:1: warning: this is the location of the
previous definition
/usr/include/linux/spinlock.h:121:20: warning: "rwlock_init" redefined
/usr/include/asm/spinlock.h:133:1: warning: this is the location of the
previous definition
/usr/include/linux/spinlock.h:123:20: warning: "read_unlock" redefined
/usr/include/asm/spinlock.h:164:1: warning: this is the location of the
previous definition
/usr/include/linux/spinlock.h:125:21: warning: "write_unlock" redefined
/usr/include/asm/spinlock.h:165:1: warning: this is the location of the
previous definition
In file included from /usr/src/linux/include/linux/mm.h:5,
                 from /usr/src/linux/include/linux/slab.h:15,
                 from /usr/src/linux/include/linux/malloc.h:5,
                 from pci-skeleton.c:98:
/usr/src/linux/include/linux/sched.h: In function `add_wait_queue':
/usr/src/linux/include/linux/sched.h:706: warning: implicit declaration of
function `write_lock_irqsave'
/usr/src/linux/include/linux/sched.h:708: warning: implicit declaration of
function `write_unlock_irqrestore'
In file included from pci-skeleton.c:99:
/usr/src/linux/include/linux/pci.h:1347:21: warning: pasting would not give
a valid preprocessing token
/usr/src/linux/include/linux/pci.h:1347:21: warning: pasting would not give
a valid preprocessing token
/usr/src/linux/include/linux/pci.h:1347:21: warning: pasting would not give
a valid preprocessing token
/usr/src/linux/include/linux/pci.h:1347:21: warning: pasting would not give
a valid preprocessing token
/usr/src/linux/include/linux/pci.h:1347:21: warning: pasting would not give
a valid preprocessing token
/usr/src/linux/include/linux/pci.h:1347:21: warning: pasting would not give
a valid preprocessing token
/usr/src/linux/include/linux/pci.h:1348:20: warning: pasting would not give
a valid preprocessing token
/usr/src/linux/include/linux/pci.h:1348:20: warning: pasting would not give
a valid preprocessing token
/usr/src/linux/include/linux/pci.h:1348:20: warning: pasting would not give
a valid preprocessing token
/usr/src/linux/include/linux/pci.h:1348:20: warning: pasting would not give
a valid preprocessing token
/usr/src/linux/include/linux/pci.h:1348:20: warning: pasting would not give
a valid preprocessing token
/usr/src/linux/include/linux/pci.h:1348:20: warning: pasting would not give
a valid preprocessing token
In file included from /usr/include/linux/irq.h:6,
                 from /usr/include/asm/hardirq.h:7,
                 from /usr/src/linux/include/linux/interrupt.h:52,
                 from pci-skeleton.c:99:
/usr/include/linux/spinlock.h: At top level:
/usr/include/linux/spinlock.h:54: conflicting types for `spinlock_t'
/usr/include/asm/spinlock.h:26: previous declaration of `spinlock_t'
/usr/include/linux/spinlock.h:117: conflicting types for `rwlock_t'
/usr/include/asm/spinlock.h:121: previous declaration of `rwlock_t'
In file included from /usr/include/asm/hardirq.h:7,
                 from /usr/src/linux/include/linux/interrupt.h:52,
                 from pci-skeleton.c:99:
/usr/include/linux/irq.h:53: requested alignment is not a constant
In file included from /usr/src/linux/include/linux/interrupt.h:52,
                 from pci-skeleton.c:99:
/usr/include/asm/hardirq.h:16: requested alignment is not a constant
In file included from pci-skeleton.c:111:
kern_compat.h:57:22: warning: "MODULE_AUTHOR" redefined
/usr/src/linux/include/linux/module.h:149:1: warning: this is the location
of the previous definition
kern_compat.h:58:27: warning: "MODULE_DESCRIPTION" redefined
/usr/src/linux/include/linux/module.h:153:1: warning: this is the location
of the previous definition
kern_compat.h:59:20: warning: "MODULE_PARM" redefined
/usr/src/linux/include/linux/module.h:176:1: warning: this is the location
of the previous definition
kern_compat.h:66:30: warning: "hard_smp_processor_id" redefined
/usr/src/linux/include/linux/smp.h:79:1: warning: this is the location of
the previous definition
kern_compat.h:68:20: warning: "cpu_to_le16" redefined
/usr/src/linux/include/linux/byteorder/generic.h:91:1: warning: this is the
location of the previous definition
kern_compat.h:69:20: warning: "cpu_to_le32" redefined
/usr/src/linux/include/linux/byteorder/generic.h:89:1: warning: this is the
location of the previous definition
kern_compat.h:70:20: warning: "le16_to_cpu" redefined
/usr/src/linux/include/linux/byteorder/generic.h:92:1: warning: this is the
location of the previous definition
kern_compat.h:71:21: warning: "le16_to_cpus" redefined
/usr/src/linux/include/linux/byteorder/generic.h:116:1: warning: this is
the location of the previous definition
kern_compat.h:72:20: warning: "le32_to_cpu" redefined
/usr/src/linux/include/linux/byteorder/generic.h:90:1: warning: this is the
location of the previous definition
kern_compat.h:73:20: warning: "cpu_to_be16" redefined
/usr/src/linux/include/linux/byteorder/generic.h:97:1: warning: this is the
location of the previous definition
kern_compat.h:74:20: warning: "cpu_to_be32" redefined
/usr/src/linux/include/linux/byteorder/generic.h:95:1: warning: this is the
location of the previous definition
kern_compat.h:76:28: warning: "SPIN_LOCK_UNLOCKED" redefined
/usr/include/linux/spinlock.h:55:1: warning: this is the location of the
previous definition
kern_compat.h:77:18: warning: "spin_lock" redefined
/usr/include/linux/spinlock.h:59:1: warning: this is the location of the
previous definition
kern_compat.h:78:20: warning: "spin_unlock" redefined
/usr/include/linux/spinlock.h:63:1: warning: this is the location of the
previous definition
kern_compat.h:79:26: warning: "spin_lock_irqsave" redefined
/usr/include/linux/spinlock.h:10:1: warning: this is the location of the
previous definition
kern_compat.h:80:31: warning: "spin_unlock_irqrestore" redefined
/usr/include/linux/spinlock.h:22:1: warning: this is the location of the
previous definition
kern_compat.h:102:26: linux/bios32.h: No such file or directory
In file included from /usr/src/linux/include/linux/vmalloc.h:8,
                 from /usr/include/asm/io.h:109,
                 from pci-skeleton.c:106:
/usr/include/asm/pgtable.h:21: conflicting types for `paging_init'
/usr/src/linux/include/linux/mm.h:306: previous declaration of
`paging_init'
In file included from pci-skeleton.c:112:
kern_compat.h:75: conflicting types for `spinlock_t'
/usr/include/linux/spinlock.h:54: previous declaration of `spinlock_t'
kern_compat.h:110: redefinition of `struct pci_dev'
kern_compat.h:118: redefinition of `pcibios_present'
/usr/src/linux/include/linux/pci.h:1337: `pcibios_present' previously
defined here
pci-skeleton.c:996:58: too many arguments for macro "dev_kfree_skb"
pci-skeleton.c: In function `start_tx':
pci-skeleton.c:894: void value not ignored as it ought to be
pci-skeleton.c: In function `intr_handler':
pci-skeleton.c:957: void value not ignored as it ought to be
pci-skeleton.c:996: `dev_kfree_skb' undeclared (first use in this function)
pci-skeleton.c:1005: warning:implicit declaration of function `mark_bh'
pci-skeleton.c:1374:54: too many arguments for macro "dev_kfree_skb"
pci-skeleton.c:1380:54: too many arguments for macro "dev_kfree_skb"
pci-skeleton.c: In function `netdev_close':
pci-skeleton.c:1372: structure has no member named `free'
pci-skeleton.c:1374: `dev_kfree_skb' undeclared (first use in this
function)
{standard input}: Assembler messages:
{standard input}:70: Warning: Ignoring changed section attributes for
.modinfo
make: *** [pci-skeleton.o] Error 1
Bad exit status from /var/tmp/rpm-tmp.99347 (%build)
Comment 1 Bill Nottingham 2001-01-07 13:18:28 EST
Have you rebuilt your kernel at all?
Comment 2 Torben Schou Jensen 2001-01-07 13:36:58 EST
No, I have not rebuilt my kernel, I do not currently have the source for 2.2.16
installed, only the headers, and the headers seams to be for 2.4.0 kernel?
I only need to built the SRPMS for the failed modules.
brgds
Torben

Note You need to log in before you can comment on or make changes to this bug.